/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.base;

public interface ApplicationDataData extends com.mysql.grt.GrtObjectData {

    public com.mysql.grt.GrtStringHashMap getCommonOptions();

    public com.mysql.grt.GrtStringHashMap setCommonOptions(com.mysql.grt.GrtStringHashMap commonOptions);

    public com.mysql.grt.GrtStringHashMap getOptions();

    public com.mysql.grt.GrtStringHashMap setOptions(com.mysql.grt.GrtStringHashMap options);

    public com.mysql.grt.forms.Position getFormPositions();

    public com.mysql.grt.forms.Position setFormPositions(com.mysql.grt.forms.Position formPositions);

    public com.mysql.grt.base.ObjectEditorList getEditors();

    public com.mysql.grt.base.ObjectEditorList setEditors(com.mysql.grt.base.ObjectEditorList editors);

    public com.mysql.grt.base.PluginGroupList getPluginGroups();

    public com.mysql.grt.base.PluginGroupList setPluginGroups(com.mysql.grt.base.PluginGroupList pluginGroups);

    public com.mysql.grt.base.PluginList getPlugins();

    public com.mysql.grt.base.PluginList setPlugins(com.mysql.grt.base.PluginList plugins);

}
