/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.query;

public interface ResultsetColumnData extends com.mysql.grt.GrtObjectData {

    public int getDisplayLength();

    public int setDisplayLength(int displayLength);

    public int getDisplayDecimals();

    public int setDisplayDecimals(int displayDecimals);

    public int getIsPrimaryKey();

    public int setIsPrimaryKey(int isPrimaryKey);

    public String getLength();

    public String setLength(String length);

    public String getColumnType();

    public String setColumnType(String columnType);

}
