/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.canvas;

public interface CaptionData extends com.mysql.grt.GrtObjectData {

    public int getFontSize();

    public int setFontSize(int fontSize);

    public int getFontWeight();

    public int setFontWeight(int fontWeight);

    public double getConstraintMaxHeight();

    public double setConstraintMaxHeight(double constraintMaxHeight);

    public double getConstraintMaxWidth();

    public double setConstraintMaxWidth(double constraintMaxWidth);

    public double getConstraintMinHeight();

    public double setConstraintMinHeight(double constraintMinHeight);

    public double getConstraintMinWidth();

    public double setConstraintMinWidth(double constraintMinWidth);

    public String getText();

    public String setText(String text);

    public String getFontFamily();

    public String setFontFamily(String fontFamily);

    public String getFontStyle();

    public String setFontStyle(String fontStyle);

    public String getHorizontalAlignment();

    public String setHorizontalAlignment(String horizontalAlignment);

    public String getVerticalAlignment();

    public String setVerticalAlignment(String verticalAlignment);

    public String getColor();

    public String setColor(String color);

    public String getBidiMode();

    public String setBidiMode(String bidiMode);

}
