/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db;

public class TriggerDataLocal extends com.mysql.grt.base.NamedGrtObjectDataLocal implements TriggerData {

    private int order;

    private int enabled;

    private String event;

    private String condition;

    private String statement;

    private String orientation;

    private String timing;

    private String referenceNewTable;

    private String referenceOldTable;

    private String referenceNewRow;

    private String referenceOldRow;

    public TriggerDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public int getOrder() {
        return order;
    }

    public int setOrder(int order) {
        this.order = order;

        return getOrder();
    }

    public int getEnabled() {
        return enabled;
    }

    public int setEnabled(int enabled) {
        this.enabled = enabled;

        return getEnabled();
    }

    public String getEvent() {
        return event;
    }

    public String setEvent(String event) {
        this.event = event;

        return getEvent();
    }

    public String getCondition() {
        return condition;
    }

    public String setCondition(String condition) {
        this.condition = condition;

        return getCondition();
    }

    public String getStatement() {
        return statement;
    }

    public String setStatement(String statement) {
        this.statement = statement;

        return getStatement();
    }

    public String getOrientation() {
        return orientation;
    }

    public String setOrientation(String orientation) {
        this.orientation = orientation;

        return getOrientation();
    }

    public String getTiming() {
        return timing;
    }

    public String setTiming(String timing) {
        this.timing = timing;

        return getTiming();
    }

    public String getReferenceNewTable() {
        return referenceNewTable;
    }

    public String setReferenceNewTable(String referenceNewTable) {
        this.referenceNewTable = referenceNewTable;

        return getReferenceNewTable();
    }

    public String getReferenceOldTable() {
        return referenceOldTable;
    }

    public String setReferenceOldTable(String referenceOldTable) {
        this.referenceOldTable = referenceOldTable;

        return getReferenceOldTable();
    }

    public String getReferenceNewRow() {
        return referenceNewRow;
    }

    public String setReferenceNewRow(String referenceNewRow) {
        this.referenceNewRow = referenceNewRow;

        return getReferenceNewRow();
    }

    public String getReferenceOldRow() {
        return referenceOldRow;
    }

    public String setReferenceOldRow(String referenceOldRow) {
        this.referenceOldRow = referenceOldRow;

        return getReferenceOldRow();
    }

}
