/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.forms;

public class ActionDataLocal extends com.mysql.grt.GrtObjectDataLocal implements ActionData {

    private int autoCheck;

    private int checked;

    private int enabled;

    private int groupIndex;

    private int imageIndex;

    private int visible;

    private String caption;

    private String shortcut;

    private String eventOnExecute;

    private String eventOnUpdate;

    public ActionDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public int getAutoCheck() {
        return autoCheck;
    }

    public int setAutoCheck(int autoCheck) {
        this.autoCheck = autoCheck;

        return getAutoCheck();
    }

    public int getChecked() {
        return checked;
    }

    public int setChecked(int checked) {
        this.checked = checked;

        return getChecked();
    }

    public int getEnabled() {
        return enabled;
    }

    public int setEnabled(int enabled) {
        this.enabled = enabled;

        return getEnabled();
    }

    public int getGroupIndex() {
        return groupIndex;
    }

    public int setGroupIndex(int groupIndex) {
        this.groupIndex = groupIndex;

        return getGroupIndex();
    }

    public int getImageIndex() {
        return imageIndex;
    }

    public int setImageIndex(int imageIndex) {
        this.imageIndex = imageIndex;

        return getImageIndex();
    }

    public int getVisible() {
        return visible;
    }

    public int setVisible(int visible) {
        this.visible = visible;

        return getVisible();
    }

    public String getCaption() {
        return caption;
    }

    public String setCaption(String caption) {
        this.caption = caption;

        return getCaption();
    }

    public String getShortcut() {
        return shortcut;
    }

    public String setShortcut(String shortcut) {
        this.shortcut = shortcut;

        return getShortcut();
    }

    public String getEventOnExecute() {
        return eventOnExecute;
    }

    public String setEventOnExecute(String eventOnExecute) {
        this.eventOnExecute = eventOnExecute;

        return getEventOnExecute();
    }

    public String getEventOnUpdate() {
        return eventOnUpdate;
    }

    public String setEventOnUpdate(String eventOnUpdate) {
        this.eventOnUpdate = eventOnUpdate;

        return getEventOnUpdate();
    }

}
